@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');

* {
    font-family: Montserrat;
}

body {
    font-family: Montserrat;
    background: #fff;
    min-height: 100vh;
    margin: 0;
    padding: 0;
    display: flex;
    justify-content: center;
    align-items: center;
}

.login-card {
    background: #fff;
    border-radius: 10px;
    box-shadow: 0px 4px 16px rgba(24, 51, 132, 0.11);
    max-width: 410px;
    width: 100%;
    padding: 38px 30px 32px 30px;
    text-align: center;
    border: 2px solid #ebebf3;
}

.logo {
    max-width: 350px;
    margin-bottom: 15px;
}

h1,
h2 {
    margin: 0;
    margin-bottom: 12px;
    color: #191970;
    font-weight: 700;
    letter-spacing: 0.5px;
}

h2 {
    font-size: 1.22rem;
    margin-bottom: 16px;
}

.form-field {
    width: 92%;
    padding: 13px 14px;
    margin-bottom: 16px;
    border: 1.5px solid #d4d6e1;
    border-radius: 7px;
    font-size: 1rem;
    background: #f7f8fc;
    transition: border-color 0.2s;
}

.form-field:focus {
    border-color: #212478;
    outline: none;
}

.login-btn {
    width: 100%;
    padding: 13px 0;
    font-size: 1.08rem;
    background: #29cc30;
    color: #fff;
    border: none;
    border-radius: 7px;
    font-weight: 700;
    cursor: pointer;
    margin-bottom: 8px;
    transition: background 0.2s;
}

.login-btn:hover {
    background: #22ac28;
}

.register-link {
    font-size: 1.01rem;
    color: #191970;
    margin-top: 10px;
}

.register-link a {
    color: #173775;
    font-weight: 500;
    text-decoration: underline;
}

.g-recaptcha {
    padding-bottom: 2%;
    display: flex;
}